<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('persons', function (Blueprint $table) {
            $table->foreignId('domicile_address_id')->nullable()->after('main_address_id');
            $table->string('blood_type', 2)->nullable()->after('birth_date');
            $table->string('religion')->nullable()->after('birth_date');
            $table->string('last_education')->nullable()->after('birth_date');
            $table->string('current_employment')->nullable()->after('birth_date');
            $table->string('citizenship')->nullable()->after('birth_date');
            $table->text('birth_place')->nullable()->after('birth_date');
            $table->string('email')->nullable()->after('name_suffix');
            $table->string('phone')->nullable()->after('name_suffix');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('persons', function (Blueprint $table) {
            $table->dropColumn('domicile_address_id');
            $table->dropColumn('blood_type');
            $table->dropColumn('religion');
            $table->dropColumn('last_education');
            $table->dropColumn('current_employment');
            $table->dropColumn('citizenship');
            $table->dropColumn('birth_place');
            $table->dropColumn('email');
            $table->dropColumn('phone');
        });
    }
};
